Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.util
Class XMLStringBuffer

    java.lang.Object
      weblogic.apache.xerces.xni.XMLString
          weblogic.apache.xerces.util.XMLStringBuffer

Deprecated. please use JDK supplied XML parsers and transformers

public class XMLStringBuffer
extends XMLString

XMLString is a structure used to pass character arrays. However, XMLStringBuffer is a buffer in which characters can be appended and extends XMLString so that it can be passed to methods expecting an XMLString object. This is a safe operation because it is assumed that any callee will not modify the contents of the XMLString structure.

The contents of the string are managed by the string buffer. As characters are appended, the string buffer will grow as needed.

Note: Never set the `ch`, `offset`, and `length` fields directly. These fields are managed by the string buffer. In order to reset the buffer, call `clear()`.

Field Summary
`static int` | `DEFAULT_SIZE` Deprecated. Default buffer size (32).

Fields inherited from class weblogic.apache.xerces.xni.XMLString
`ch, length, offset`

Constructor Summary
`XMLStringBuffer()` Deprecated.
`XMLStringBuffer(char c)` Deprecated. Constructs a string buffer from a char.
`XMLStringBuffer(char[] ch, int offset, int length)` Deprecated. Constructs a string buffer from the specified character array.
`XMLStringBuffer(int size)` Deprecated.
`XMLStringBuffer(String s)` Deprecated. Constructs a string buffer from a String.
`XMLStringBuffer(XMLString s)` Deprecated. Constructs a string buffer from the specified XMLString.

Method Summary
`void` | `append(char c)` Deprecated. append
`void` | `append(char[] ch, int offset, int length)` Deprecated. append
`void` | `append(String s)` Deprecated. append
`void` | `append(XMLString s)` Deprecated. append
`void` | `clear()` Deprecated. Clears the string buffer.

Methods inherited from class weblogic.apache.xerces.xni.XMLString
`equals, equals, setValues, setValues, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_SIZE

    public static final int DEFAULT_SIZE

  Deprecated.
  Default buffer size (32).

  See Also:
    Constant Field Values

Constructor Detail

### XMLStringBuffer

    public XMLStringBuffer()

  Deprecated.

### XMLStringBuffer

    public XMLStringBuffer(char c)

  Deprecated.
  Constructs a string buffer from a char.

### XMLStringBuffer

    public XMLStringBuffer(char[] ch,
                           int offset,
                           int length)

  Deprecated.
  Constructs a string buffer from the specified character array.

### XMLStringBuffer

    public XMLStringBuffer(int size)

  Deprecated.

### XMLStringBuffer

    public XMLStringBuffer(String s)

  Deprecated.
  Constructs a string buffer from a String.

### XMLStringBuffer

    public XMLStringBuffer(XMLString s)

  Deprecated.
  Constructs a string buffer from the specified XMLString.

Method Detail

### append

    public void append(char c)

  Deprecated.
  append

  Parameters:
    `c` -

### append

    public void append(char[] ch,
                       int offset,
                       int length)

  Deprecated.
  append

  Parameters:
    `ch` -
    `offset` -
    `length` -

### append

    public void append(String s)

  Deprecated.
  append

  Parameters:
    `s` -

### append

    public void append(XMLString s)

  Deprecated.
  append

  Parameters:
    `s` -

### clear

    public void clear()

  Deprecated.
  Clears the string buffer.

  Overrides:
    `clear` in class `XMLString`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD